import { r as p, e as d, s as m, u as f, y as u, a as v, g as n } from "./base-472fc154.js";
const g = `.sil-stack{gap:1em;padding:1em;display:flex}.sil-stack--horizontal{flex-direction:row}.sil-stack--vertical{flex-direction:column}
`;
var _ = Object.defineProperty, x = Object.getOwnPropertyDescriptor, a = (s, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? x(t, o) : t, c = s.length - 1, l; c >= 0; c--)
    (l = s[c]) && (e = (r ? l(t, o, e) : l(e)) || e);
  return r && e && _(t, o, e), e;
};
let i = class extends m {
  constructor() {
    super(...arguments), this.direction = "vertical";
  }
  render() {
    const { classes: s } = f(n("stack"), { return: "string" });
    return u`
      <div class="${s({}, { modifier: this.direction })}">
        <slot></slot>
      </div>
    `;
  }
};
i.styles = p(g);
a([
  d()
], i.prototype, "direction", 2);
i = a([
  v(n("stack"))
], i);
export {
  i as FormStack
};
